Package org.lwjgl.opengl

# Class ARBVertexType2_10_10_10_REV

java.lang.Object
org.lwjgl.opengl.ARBVertexType2_10_10_10_REV

public final class ARBVertexType2_10_10_10_REV extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_INT_2_10_10_10_REV`
Accepted by the <type> parameter of VertexAttribPointer, VertexPointer, NormalPointer, ColorPointer, SecondaryColorPointer, TexCoordPointer, VertexAttribP{1234}ui, VertexP*, TexCoordP*, MultiTexCoordP*, NormalP3ui, ColorP*, SecondaryColorP* and VertexAttribP*
`static final int`
`GL_UNSIGNED_INT_2_10_10_10_REV`
Accepted by the <type> parameter of VertexAttribPointer, VertexPointer, NormalPointer, ColorPointer, SecondaryColorPointer, TexCoordPointer, VertexAttribP{1234}ui, VertexP*, TexCoordP*, MultiTexCoordP*, NormalP3ui, ColorP*, SecondaryColorP* and VertexAttribP*

## Method Summary

Modifier and Type
Method
Description
`static void`
`glColorP3u(int type, IntBuffer color)`
`static void`
`glColorP3ui(int type, int color)`
`static void`
`glColorP4u(int type, IntBuffer color)`
`static void`
`glColorP4ui(int type, int color)`
`static void`
`glMultiTexCoordP1u(int texture, int type, IntBuffer coords)`
`static void`
`glMultiTexCoordP1ui(int texture, int type, int coords)`
`static void`
`glMultiTexCoordP2u(int texture, int type, IntBuffer coords)`
`static void`
`glMultiTexCoordP2ui(int texture, int type, int coords)`
`static void`
`glMultiTexCoordP3u(int texture, int type, IntBuffer coords)`
`static void`
`glMultiTexCoordP3ui(int texture, int type, int coords)`
`static void`
`glMultiTexCoordP4u(int texture, int type, IntBuffer coords)`
`static void`
`glMultiTexCoordP4ui(int texture, int type, int coords)`
`static void`
`glNormalP3u(int type, IntBuffer coords)`
`static void`
`glNormalP3ui(int type, int coords)`
`static void`
`glSecondaryColorP3u(int type, IntBuffer color)`
`static void`
`glSecondaryColorP3ui(int type, int color)`
`static void`
`glTexCoordP1u(int type, IntBuffer coords)`
`static void`
`glTexCoordP1ui(int type, int coords)`
`static void`
`glTexCoordP2u(int type, IntBuffer coords)`
`static void`
`glTexCoordP2ui(int type, int coords)`
`static void`
`glTexCoordP3u(int type, IntBuffer coords)`
`static void`
`glTexCoordP3ui(int type, int coords)`
`static void`
`glTexCoordP4u(int type, IntBuffer coords)`
`static void`
`glTexCoordP4ui(int type, int coords)`
`static void`
`glVertexAttribP1u(int index, int type, boolean normalized, IntBuffer value)`
`static void`
`glVertexAttribP1ui(int index, int type, boolean normalized, int value)`
`static void`
`glVertexAttribP2u(int index, int type, boolean normalized, IntBuffer value)`
`static void`
`glVertexAttribP2ui(int index, int type, boolean normalized, int value)`
`static void`
`glVertexAttribP3u(int index, int type, boolean normalized, IntBuffer value)`
`static void`
`glVertexAttribP3ui(int index, int type, boolean normalized, int value)`
`static void`
`glVertexAttribP4u(int index, int type, boolean normalized, IntBuffer value)`
`static void`
`glVertexAttribP4ui(int index, int type, boolean normalized, int value)`
`static void`
`glVertexP2u(int type, IntBuffer value)`
`static void`
`glVertexP2ui(int type, int value)`
`static void`
`glVertexP3u(int type, IntBuffer value)`
`static void`
`glVertexP3ui(int type, int value)`
`static void`
`glVertexP4u(int type, IntBuffer value)`
`static void`
`glVertexP4ui(int type, int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_UNSIGNED_INT_2_10_10_10_REV

public static final int GL_UNSIGNED_INT_2_10_10_10_REV
Accepted by the <type> parameter of VertexAttribPointer, VertexPointer, NormalPointer, ColorPointer, SecondaryColorPointer, TexCoordPointer, VertexAttribP{1234}ui, VertexP*, TexCoordP*, MultiTexCoordP*, NormalP3ui, ColorP*, SecondaryColorP* and VertexAttribP*

See Also:
  - Constant Field Values

### GL_INT_2_10_10_10_REV

public static final int GL_INT_2_10_10_10_REV
Accepted by the <type> parameter of VertexAttribPointer, VertexPointer, NormalPointer, ColorPointer, SecondaryColorPointer, TexCoordPointer, VertexAttribP{1234}ui, VertexP*, TexCoordP*, MultiTexCoordP*, NormalP3ui, ColorP*, SecondaryColorP* and VertexAttribP*

See Also:
  - Constant Field Values

## Method Details

### glVertexP2ui

public static void glVertexP2ui(int type, int value)

### glVertexP3ui

public static void glVertexP3ui(int type, int value)

### glVertexP4ui

public static void glVertexP4ui(int type, int value)

### glVertexP2u

public static void glVertexP2u(int type, IntBuffer value)

### glVertexP3u

public static void glVertexP3u(int type, IntBuffer value)

### glVertexP4u

public static void glVertexP4u(int type, IntBuffer value)

### glTexCoordP1ui

public static void glTexCoordP1ui(int type, int coords)

### glTexCoordP2ui

public static void glTexCoordP2ui(int type, int coords)

### glTexCoordP3ui

public static void glTexCoordP3ui(int type, int coords)

### glTexCoordP4ui

public static void glTexCoordP4ui(int type, int coords)

### glTexCoordP1u

public static void glTexCoordP1u(int type, IntBuffer coords)

### glTexCoordP2u

public static void glTexCoordP2u(int type, IntBuffer coords)

### glTexCoordP3u

public static void glTexCoordP3u(int type, IntBuffer coords)

### glTexCoordP4u

public static void glTexCoordP4u(int type, IntBuffer coords)

### glMultiTexCoordP1ui

public static void glMultiTexCoordP1ui(int texture, int type, int coords)

### glMultiTexCoordP2ui

public static void glMultiTexCoordP2ui(int texture, int type, int coords)

### glMultiTexCoordP3ui

public static void glMultiTexCoordP3ui(int texture, int type, int coords)

### glMultiTexCoordP4ui

public static void glMultiTexCoordP4ui(int texture, int type, int coords)

### glMultiTexCoordP1u

public static void glMultiTexCoordP1u(int texture, int type, IntBuffer coords)

### glMultiTexCoordP2u

public static void glMultiTexCoordP2u(int texture, int type, IntBuffer coords)

### glMultiTexCoordP3u

public static void glMultiTexCoordP3u(int texture, int type, IntBuffer coords)

### glMultiTexCoordP4u

public static void glMultiTexCoordP4u(int texture, int type, IntBuffer coords)

### glNormalP3ui

public static void glNormalP3ui(int type, int coords)

### glNormalP3u

public static void glNormalP3u(int type, IntBuffer coords)

### glColorP3ui

public static void glColorP3ui(int type, int color)

### glColorP4ui

public static void glColorP4ui(int type, int color)

### glColorP3u

public static void glColorP3u(int type, IntBuffer color)

### glColorP4u

public static void glColorP4u(int type, IntBuffer color)

### glSecondaryColorP3ui

public static void glSecondaryColorP3ui(int type, int color)

### glSecondaryColorP3u

public static void glSecondaryColorP3u(int type, IntBuffer color)

### glVertexAttribP1ui

public static void glVertexAttribP1ui(int index, int type, boolean normalized, int value)

### glVertexAttribP2ui

public static void glVertexAttribP2ui(int index, int type, boolean normalized, int value)

### glVertexAttribP3ui

public static void glVertexAttribP3ui(int index, int type, boolean normalized, int value)

### glVertexAttribP4ui

public static void glVertexAttribP4ui(int index, int type, boolean normalized, int value)

### glVertexAttribP1u

public static void glVertexAttribP1u(int index, int type, boolean normalized, IntBuffer value)

### glVertexAttribP2u

public static void glVertexAttribP2u(int index, int type, boolean normalized, IntBuffer value)

### glVertexAttribP3u

public static void glVertexAttribP3u(int index, int type, boolean normalized, IntBuffer value)

### glVertexAttribP4u

public static void glVertexAttribP4u(int index, int type, boolean normalized, IntBuffer value)